Royal Legacy

Forums

Nov
20
Hi everyone! There are many changes going on around the server right now, so I will get right into it.
[​IMG]
First off, there is a 35% Thanks Giving Sale that will end Thanks Giving day! Take advantage of this sale there won't be another sale until Christmas! (Except Black Friday hehehe)

New Staff members! slop_me and noobb1994
Congratulate them when u see them around the server!

[​IMG]
  • Massive new upcoming staff plugin to help us catch hackers and abusers even faster!!
  • This will also add /report to report anyone not following server rules. Any staff online the entire network will receive the notification, and then can come straight to you and help.
  • Global Messaging system is in the works, so you can message people that are not even online the same gamemode / server your on!
Survival:
[​IMG]
  • SERVER RESET! Now supports 1.11
  • Brand New Spawn
  • Minor plugins updated for stability
  • In the upcoming days, we will add support for 1.10 and 1.9 players to login, for now you must use 1.11.
  • LLAMAS!
  • End expansion within a few...
Nov
16
We will be updating Survival Server to 1.11, along with various other add ons to the server soon. We would like your opinion on if survival should be reset.
This would mean, a fresh start, mansions, all new 1.11 features. Without a reset there will be many missing 1.11 features. This is totally up to the community. This poll will end in a day or two and make our decision then.

Pick Wisely!! Remember most of the world has already been explore (~85%) we could expand but rather not. Around spawn is trashed, it is always fun to have a fresh start!!

PLEASE COMMENT BELOW SOME REASONS!

Thanks!

- KingGoldensPanda
Nov
14
Yes, we now support Minecraft 1.11. Here is our current servers version lineup:
Hub: 1.8 - 1.11
Factions: 1.9 - 1.11
Survival: 1.9 - 1.11
Prison: 1.8 - 1.11

ON NOVEMBER 19th or 20th The servers will support the following versions:

Hub: 1.8 - 1.11
Factions: Version 1.11 Supports 1.8 - 1.10 also
Survival: Version 1.11 Supports 1.8 - 1.10 also
Prison: Version 1.8 Supports 1.9 - 1.11 also

Tell me your thoughts below!